Holger's Java API

## com.antelmann.db
Class NotApplicableDataWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.antelmann.db.DatabaseException
                          com.antelmann.db.WrongDataException
                              com.antelmann.db.NotApplicableDataWarning

All Implemented Interfaces:
  WarningOnly, Serializable

    public class NotApplicableDataWarning

extends WrongDataException
implements WarningOnly

used to indicate a 'minor' problem with the data that is to be displayed as a warning rather than an exception

Since:
  15:38:30
Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`NotApplicableDataWarning(String message)`
`NotApplicableDataWarning(String message, Throwable cause)`
`NotApplicableDataWarning(Throwable cause)`

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotApplicableDataWarning

    public NotApplicableDataWarning(String message,
                                    Throwable cause)

### NotApplicableDataWarning

    public NotApplicableDataWarning(String message)

### NotApplicableDataWarning

    public NotApplicableDataWarning(Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads